<?php
/*
Plugin Name: FinanzZitat
Plugin URI: http://www.wordpress.org/finanzzitat
Description: Displays a random financial quote (in German). Stellt ein zufaelliges Zitat zu den Themen Geld, Sparen, Anlegen dar. Einfach [finanzzitat] in den Quellcode einfuegen, z.B. als Text-Widget in der Sidebar von Wordpress oder in einen Artikel/in eine Seite

Version: 0.9
Author: FinanzMonitor.com
Author URI: http://www.finanzmonitor.com/
*/

function get_quote()
{
	$file_path = "zitate.txt";
	$zitate = (ABSPATH . "wp-content/plugins/finanzzitat/" . $file_path);
	{
			$linesize = file("$zitate");
			$ein_zitat = rand(0, sizeof($linesize)-1);
			$quote = "<i>".$linesize[$ein_zitat] . "</i>";                   
	}
	$quote .= '<br/><span style="font-size: xx-small;">FinanzZitat von <a title="Geldanlage. Zinsvergleich. Hypothek. Krankenkasse" href="http://www.finanzmonitor.com" rel="nofollow">FinanzMonitor.com</a>.</span>';
	return $quote;
}


function finanzzitat ($content = '') 
{
	$quote = get_quote();
	$content = str_replace("[finanzzitat]",$quote,$content);
	return $content;
}

function finanzzitat_init()
{
	function finanzzitat_widget($args)
	{
		echo $before_widget;
		echo $before_title;
		echo "<h2>Finanzzitat</h2>";
		echo $after_title;
		echo get_quote();
		echo $after_widget;
	}

	function replace_widget_text($text)
	{
		$quote = get_quote();
		$text = str_replace("[finanzzitat]",$quote,$text);
		return $text;
	}

	add_filter('widget_text','replace_widget_text');
	add_filter('widget_title','replace_widget_text');

	wp_register_sidebar_widget(
		'finanzzitat',				// ID
		'Finanzzitat',				// Title
		'finanzzitat_widget',		// call back
		array('description' =>		// option: description
			'Stellt ein Finanz Zitat dar'));	// 
}


add_filter('the_content','finanzzitat');
add_action('init','finanzzitat_init');

?>
